How am I supposed I get/import the required Google Play Services extension in GMS 1.4?

aGameDev

Member
I'm splitting this issue off from my large post about updating things, so it doesn't just get buried in there.

Basically I'm trying to get GMS 1.4 updated and working again after like 3 years.
And yes, I'm well aware that this product is no longer supported, so there's no need to point that out.


The thing that has got me stuck now is that I'm required to have the Google Play Services extension, but there seems to be no way for me to get it.


In the marketplace, it was "added it to my account" (it's got a check mark next to it) https://marketplace.yoyogames.com/assets/2008/google-play-services

I have logged into GMS (from Help -> Licenses) using my Yoyo account which is linked to that, but I cannot seem to find any way to import the extension, or to actually download it, or any instructions on what to do next in GMS 1.4 (in GMS2 there is supposed to be a "My Library" which doesn't seem to exist in 1.4).


Does anyone know how to do this?
 

rIKmAN

Member
I'm splitting this issue off from my large post about updating things, so it doesn't just get buried in there.

Basically I'm trying to get GMS 1.4 updated and working again after like 3 years.
And yes, I'm well aware that this product is no longer supported, so there's no need to point that out.


The thing that has got me stuck now is that I'm required to have the Google Play Services extension, but there seems to be no way for me to get it.


In the marketplace, it was "added it to my account" (it's got a check mark next to it) https://marketplace.yoyogames.com/assets/2008/google-play-services

I have logged into GMS (from Help -> Licenses) using my Yoyo account which is linked to that, but I cannot seem to find any way to import the extension, or to actually download it, or any instructions on what to do next in GMS 1.4 (in GMS2 there is supposed to be a "My Library" which doesn't seem to exist in 1.4).


Does anyone know how to do this?
Marketplace support was removed in 1.4.9999, so you can download the extension from the marketplace webpage and then import it manually.

You can do this by dragging the extension into the IDE or right clicking “Extensions” in the Resource Tree, selecting the menu option to import and browsing to the file.
 

aGameDev

Member
Marketplace support was removed in 1.4.9999, so you can download the extension from the marketplace webpage and then import it manually.

You can do this by dragging the extension into the IDE or right clicking “Extensions” in the Resource Tree, selecting the menu option to import and browsing to the file.
The problem is I can't see any way to actually download it. When I clicked the button in the marketplace to get it, it just said it was "added to my account" or something. Unless I'm missing something, there's no download link.

Isn't part of the problem that this asset is a GMS2 asset, not a GMS1.x one? Since it has been updated to GMS2, would it even still work in GMS1.4?
Is that what it is? The new version is only for GMS2, and they completely removed the version that works with GMS 1.4, leaving no way for me to get the extension (which the compiler tells me is required, since I use ads and leaderboards)?

Anyone have any further insight on this?


Hmmm, it looks like a user modified the older version to fix some issue, and he provides a download link on his site. So it looks like this may be my only option? https://forum.yoyogames.com/index.php?threads/google-play-services-fixes.60947/
 
Last edited:

aGameDev

Member
In case anyone else has this issue.....

So, it looks like the only way to get the Google Play Services extension (as far as I can tell) for GMS 1.4 is to download the 3.0.1 version that a very helpful user, Appsurd, modified and made available on his site, linked from here: https://forum.yoyogames.com/index.php?threads/google-play-services-fixes.60947/
(his site: https://appsurdgames.com/tutorials.html )

After some errors and testing and scanning over his tutorial, I found that you will need a higher SDK version than noted on on the "GMS 1.4 Required SDKs" page.

Here's what I used in my settings:

Min SDK: 14
Compile SDK: 26

Build Tools: 26.0.3
Support Lib: 26.0.0


If, like me, you are updating from an old, old version, you'll need to change your GoogleMobileAds_Init() call so that it now has two parameters. The new, second parameter is the App ID (get it from AdMob).

But after this, everything compiles and seems to work.
Well, everything I am using, which is just leaderboards and mobile ads.



@Appsurd , thank you very much. Without your modified version of the Google Play Services extension, I'd just be out of luck.

I understand that old GMS 1.4 is old and obsolete (and old), but it sucks that they have made it impossible to download the last compatible version of a needed extension for some common functionality.

And yeah, I know that the sunset is coming for non-64 bit apps on Google Play, so I just want to make sure my little apps are as up-to-date as possible before then (without having to shell out several hundred dollars, that is....).
 

Doggo

Member
I know this was made almost a year ago, but anyone else that is reading to look for the extension, you can download the tutorial/demo projects by going here and go to the demo folder, then going to the Google_Play_Services folder. Open the .gmz and export the extensions there. :)
 
AFIAK GMS1 no longer supports Google Play Services in the first place because YoYoGames elected to patch in support for some new versions of it's APIs and such on GMS1 (likely as a way to force people to upgrade to GMS2)

So unless someone has made an unofficial patch/extension to fix it you can no longer make Android apps that support Play Services in GMS1. Only .apk files for people to sideload.
 
Top